
Figure - Bug #116315
【BSP】【EVT3】【ST】【MCU】A样机与中控连接启动后，无法获取MCU版本号
2023-02-16 19:02 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-02-16

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VC1_FSE_0078_20230228

Need_Info: -- Found Version: 0068

Resolution: -- Degrated: --

Severity: Major Verified Version: https://dev.thundercomm.com/gerrit/c/Pre_figure/mcu/+/183882

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 此bug会引起MCU在升级过程中，如果掉电，则无法启动的问题；��原因是：升级擦除的片区和运行的片区一致导致。

Description

【前提条件】

None

【测试步骤】

1. 设备正常开机与中控正常连接

2. 获取MCU版本号

【预期结果】

2 可以正常获取MCU版本号

【实际结果】

2 无法获取MCU版本号

History

#1 - 2023-02-17 09:50 - CD TPM-王祥林

- Target version set to VC1_FSE_0078_20230228

#2 - 2023-02-17 15:28 - CD BSP-杜磊

- Status changed from New to ASSIGNED

- Assignee changed from CD BSP-杜磊 to CD BSP-陈杰

请帮忙分析此问题

#3 - 2023-02-25 15:13 - CD BSP-陈杰

- File FigureV0.1.0.mot added

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-陈杰 to CDTS_TEST 王成

- % Done changed from 0 to 100

- Verified Version set to https://dev.thundercomm.com/gerrit/c/Pre_figure/mcu/+/183882

- Root cause set to 此bug会引起MCU在升级过程中，如果掉电，则无法启动的问题；

原因是：升级擦除的片区和运行的片区一致导致。

麻烦进行MCU的升级压力测试，观察是否还会复现该问题
#4 - 2023-02-25 15:13 - CD BSP-陈杰

使用MCU版本为V0.1.0的user版本配合上传的mot文件测试一下，设备会不会进行mcu升级

#5 - 2023-02-25 20:05 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 移动测试一组_CDTS 刘强

#6 - 2023-02-28 15:07 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

根据MCU异常断电压测结果：https://thundersoft.feishu.cn/sheets/shtcn5ImqRt1IhgQPZiHG2kCNxe?sheet=NxPTfb

验证通过，关闭此问题

#7 - 2023-02-28 15:07 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

FigureV0.1.0.mot 299 KB 2023-02-25 CD BSP-陈杰
https://thundersoft.feishu.cn/sheets/shtcn5ImqRt1IhgQPZiHG2kCNxe?sheet=NxPTfb

